Page MenuHomePhabricator

rack/setup/install labweb100[12].wikimedia.org
Closed, ResolvedPublic

Description

This task will track the racking and setup/installation of labweb100[12].wikimedia.org systems.

Racking plan: These use the public vlan, and are replacing californium and silver, both out of warranty. Since these only need the public1 vlan in each row, they can go in whatever 1GBE racks have space. Ideally these two labweb systems are NOT in the same rack or row.

labweb1001:

  • - receive in system on procurement task T163024
  • - rack system with proposed racking plan (see above) & update racktables (include all system info plus location)
  • - bios/drac/serial setup/testing
  • - mgmt dns entries added for both asset tag and hostname
  • - production dns entries added (public1-vlan) https://gerrit.wikimedia.org/r/#/c/365063/
  • - network port setup (description, enable, public vlan)
  • - operations/puppet update https://gerrit.wikimedia.org/r/#/c/365173/
  • - OS installation
  • - puppet/salt accept/initial run
  • - handoff to @Andrew for service implementation

labweb1002:

  • - receive in system on procurement task T163024
  • - rack system with proposed racking plan (see above) & update racktables (include all system info plus location)
  • - bios/drac/serial setup/testing
  • - mgmt dns entries added for both asset tag and hostname
  • - production dns entries added (public1-vlan) https://gerrit.wikimedia.org/r/#/c/365063/
  • - network port setup (description, enable, public vlan)
  • - operations/puppet update https://gerrit.wikimedia.org/r/#/c/365173/
  • - OS installation
  • - puppet/salt accept/initial run
  • - handoff to @Andrew for service implementation

Event Timeline

RobH created this task.Jun 13 2017, 5:56 PM
Restricted Application added a project: Cloud-Services. · View Herald TranscriptJun 13 2017, 5:56 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Cmjohnson updated the task description. (Show Details)Jun 14 2017, 2:44 PM
bd808 moved this task from Triage to Backlog on the Cloud-Services board.Jun 17 2017, 7:59 PM

Change 364820 had a related patch set uploaded (by Cmjohnson; owner: Cmjohnson):
[operations/dns@master] adding mgmt ip address for labweb1001/1002 T167820

https://gerrit.wikimedia.org/r/364820

Change 364820 merged by Cmjohnson:
[operations/dns@master] adding mgmt ip address for labweb1001/1002 T167820

https://gerrit.wikimedia.org/r/364820

Cmjohnson reassigned this task from Cmjohnson to RobH.Jul 12 2017, 7:18 PM
Cmjohnson updated the task description. (Show Details)

@RobH assigning to you...can you do the production DNS please in addition to the other things. Thanks

RobH added a comment.Jul 12 2017, 8:53 PM

update from irc chat with @chasemp: please install these hosts with jessie.

RobH updated the task description. (Show Details)Jul 12 2017, 8:55 PM

Change 365063 had a related patch set uploaded (by RobH; owner: RobH):
[operations/dns@master] labweb100[12] production dns entries

https://gerrit.wikimedia.org/r/365063

Change 365063 merged by RobH:
[operations/dns@master] labweb100[12] production dns entries

https://gerrit.wikimedia.org/r/365063

Change 365173 had a related patch set uploaded (by RobH; owner: RobH):
[operations/puppet@production] labweb100[12] install params

https://gerrit.wikimedia.org/r/365173

RobH updated the task description. (Show Details)Jul 13 2017, 9:16 PM

Change 365173 merged by RobH:
[operations/puppet@production] labweb100[12] install params

https://gerrit.wikimedia.org/r/365173

RobH updated the task description. (Show Details)

Change 365207 had a related patch set uploaded (by Muehlenhoff; owner: Muehlenhoff):
[operations/puppet@production] Add labweb* to site.pp to enable base::firewall

https://gerrit.wikimedia.org/r/365207

Change 365207 merged by Andrew Bogott:
[operations/puppet@production] Add labweb* to site.pp to enable base::firewall

https://gerrit.wikimedia.org/r/365207

RobH reassigned this task from RobH to Andrew.Jul 14 2017, 5:07 PM
RobH updated the task description. (Show Details)

Change 382027 had a related patch set uploaded (by Rush; owner: cpettet):
[operations/dns@master] labweb: move to internal VLAN

https://gerrit.wikimedia.org/r/382027

Change 382027 merged by Rush:
[operations/dns@master] labweb: move to internal VLAN

https://gerrit.wikimedia.org/r/382027

Andrew closed this task as Resolved.Oct 5 2017, 2:33 PM

These boxes are up and installed and seem ok. Actual service implementation is T168470